Bug 1889817 - The tooltips on Patternfly 4 dialogs are not keyboard focusable on Firefox
Summary: The tooltips on Patternfly 4 dialogs are not keyboard focusable on Firefox
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: ovirt-engine-ui-extensions
Version: 4.4.3
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Sharon Gratch
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 16:07 UTC by Sharon Gratch
Modified: 2020-11-06 10:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-21 12:33:19 UTC
oVirt Team: UX
pm-rhel: ovirt-4.4+


Attachments (Terms of Use)

Description Sharon Gratch 2020-10-20 16:07:43 UTC
Description of problem:
Trying to tab over tooltips of Patternfly 4 ui-extensions dialogs is supported for Chrome but is not supported for Firefox.

Version-Release number of selected component (if applicable):
4.4.3

How reproducible:
100%

Steps to Reproduce:
1. Open one of the paternfly 4 dialogs, e.g. migrate Vm on Firefox.
2. Try to tab by pressing the Tab key.

Actual results:
the tooltps icons are not focusable, they are skipped.


Expected results:
the tooltps icons should be focusable with info text opened.

Comment 1 Sharon Gratch 2020-10-21 12:33:19 UTC
After discussing that and detecting that it isn't supported on GWT webadmin dialogs as well, we decided that it's not that required/important and therefore closing this as WONTFIX.
Please re-open if you think it is needed.

Comment 2 Sandro Bonazzola 2020-11-06 10:30:38 UTC
If we are going to not fix this, it's not going to land in 4.4.4. Dropping target.


Note You need to log in before you can comment on or make changes to this bug.